### Hierarchy

- Quaternion

## Index

### Constructors

- constructor

### Properties

- w
- x
- y
- z

## Constructors

### constructor

- new Quaternion(value: number): Quaternion
- new Quaternion(vector: Vector3, w: number): Quaternion
- new Quaternion(x: number, y: number, z: number, w: number): Quaternion

- - Defined in utils/Quaternion.ts:9

  #### Parameters

  - ##### value: number

  #### Returns Quaternion

- - Defined in utils/Quaternion.ts:10

  #### Parameters

  - ##### vector: Vector3

  - ##### w: number

  #### Returns Quaternion

- - Defined in utils/Quaternion.ts:11

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### z: number

  - ##### w: number

  #### Returns Quaternion

## Properties

### w

w: number

- Defined in utils/Quaternion.ts:7

### x

x: number

- Defined in utils/Quaternion.ts:4

### y

y: number

- Defined in utils/Quaternion.ts:5

### z

z: number

- Defined in utils/Quaternion.ts:6

Generated using TypeDoc